<?php

/*
 * AIT WordPress Theme Framework
 *
 * Copyright (c) 2013, Affinity Information Technology, s.r.o. (http://ait-themes.com)
 */


class AitGetItemsAjax extends AitFrontendAjax
{

	/**
	 * @WpAjax
	 */
	public function retrieve()
	{
		$items = array();
		$query = new WP_Query(array(
			'post_type' => 'ait-item',
			'orderby' => !empty($_POST['orderby']) ? $_POST['orderby'] : 'date',
			'order' => !empty($_POST['order']) ? $_POST['order'] : 'ASC'
		));

		if(!empty($query->posts)){
			foreach($query->posts as $post){
				$categories = array();

				foreach(get_the_terms( $post->ID, 'ait-items' ) as $term){
					$category = array(
						'name' => $term->name,
						'link' => get_term_link( $term->term_id, $term->taxonomy )
					);

					array_push($categories, $category);
				}

				$meta = get_post_meta( $post->ID, '_ait-item_item-data' );
				$meta = array_shift($meta);

				$item = array(
		 			'title' => $post->post_title,
		 			'categories' => $categories,
		 			'excerpt' => $post->post_content,
		 			'address' => $meta['map']['address'],
		 			'rating' => 0,
		 			'featured' => $meta['featured'] == 1 ? true : false,
				);

				array_push($items, $item);
			}

			$this->sendJson(array(
				'message' => __("Have posts", 'ait'),
				'raw_data' => $items,
				'html_data' => ''
			));
		} else {
			$this->sendErrorJson(array(
				'message' => __("No posts to get", 'ait')
			));
		}
	}
}
